# Poco::Net

# class EscapeHTMLIOS

Library: Net
Package: HTTP
Header: Poco/Net/EscapeHTMLStream.h

## Description

The base class for EscapeHTMLOutputStream.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: EscapeHTMLOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### EscapeHTMLIOS

EscapeHTMLIOS(
std::ostream & ostr
);

Creates the MailIOS and connects it to the given output stream.

## Destructor

### ~EscapeHTMLIOS

~EscapeHTMLIOS();

Destroys the stream.

## Member Functions

### rdbuf

EscapeHTMLStreamBuf * rdbuf();

Returns a pointer to the underlying streambuf.

## Variables

### _buf

EscapeHTMLStreamBuf _buf;